Table of contents
-----------------

* Introduction
* Features


Introduction
------------

The **Schema.org Blueprint Demo Starterkit module** provides
a demo of a Schema.org Blueprints starter kit. 

This demo starter kit sets up a Recipe content type (`/recipe/*`) 
and view (`/recipes`).


Features
--------

Setup - @see schemadotorg_demo_starterkit.schemadotorg_starterkit.yml

- Maps the standard installation page (https://schema.org/Webpage) 
  and article (https://schema.org/Article) content type to Schema.org.
- Maps Drupal's user account to https://schema.org/Person
- Creates a Recipe (https://schema.org/Recipe) content type

Installation - @see schemadotorg_demo_starterkit.install

- Generate taxonomy terms and content.
- Add /recipes to default shortcuts.

Hooks - @see schemadotorg_demo_starterkit.module

- Programmatically adds Global options (`field_option`) to every content type.  
  @see schemadotorg_demo_starterkit_schemadotorg_mapping_insert()

- Changes 'Read more' link to 'View @type' link.   
  @see schemadotorg_demo_starterkit_node_links_alter()

Configuration management - @see /config/*

- Hides the image's title for Recipe teaser view mode.
- Adds Recipe options (`field_recipe_options`) field to the Recipe content type.  
- Removes 'Diet' suffix from 'Suitable for diet' allowed values. 
- Add 'Content: Recipe' pathauto pattern for `/recipes/[node:title`.
